<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<meta name="robots" content="NOINDEX, NOFOLLOW" /> <!-- Prevent indexing by search engines -->
<title>ARM Compute Library: arm_compute/runtime/NEON/NEFunctions.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<script type="text/x-mathjax-config">
  MathJax.Hub.Config({
    extensions: ["tex2jax.js"],
    jax: ["input/TeX","output/HTML-CSS"],
});
</script><script type="text/javascript" src="http://cdn.mathjax.org/mathjax/latest/MathJax.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">ARM Compute Library
   &#160;<span id="projectnumber">17.04</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.xhtml"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.xhtml"><span>Namespaces</span></a></li>
      <li><a href="annotated.xhtml"><span>Data&#160;Structures</span></a></li>
      <li class="current"><a href="files.xhtml"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.xhtml"><span>File&#160;List</span></a></li>
      <li><a href="globals.xhtml"><span>Globals</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('_n_e_functions_8h.xhtml','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">NEFunctions.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="_n_e_absolute_difference_8h_source.xhtml">arm_compute/runtime/NEON/functions/NEAbsoluteDifference.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_n_e_accumulate_8h_source.xhtml">arm_compute/runtime/NEON/functions/NEAccumulate.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_n_e_activation_layer_8h_source.xhtml">arm_compute/runtime/NEON/functions/NEActivationLayer.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_n_e_arithmetic_addition_8h_source.xhtml">arm_compute/runtime/NEON/functions/NEArithmeticAddition.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_n_e_arithmetic_subtraction_8h_source.xhtml">arm_compute/runtime/NEON/functions/NEArithmeticSubtraction.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_n_e_bitwise_and_8h_source.xhtml">arm_compute/runtime/NEON/functions/NEBitwiseAnd.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_n_e_bitwise_not_8h_source.xhtml">arm_compute/runtime/NEON/functions/NEBitwiseNot.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_n_e_bitwise_or_8h_source.xhtml">arm_compute/runtime/NEON/functions/NEBitwiseOr.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_n_e_bitwise_xor_8h_source.xhtml">arm_compute/runtime/NEON/functions/NEBitwiseXor.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_n_e_box3x3_8h_source.xhtml">arm_compute/runtime/NEON/functions/NEBox3x3.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_n_e_canny_edge_8h_source.xhtml">arm_compute/runtime/NEON/functions/NECannyEdge.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_n_e_channel_combine_8h_source.xhtml">arm_compute/runtime/NEON/functions/NEChannelCombine.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_n_e_channel_extract_8h_source.xhtml">arm_compute/runtime/NEON/functions/NEChannelExtract.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_n_e_color_convert_8h_source.xhtml">arm_compute/runtime/NEON/functions/NEColorConvert.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_n_e_convolution_8h_source.xhtml">arm_compute/runtime/NEON/functions/NEConvolution.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_n_e_convolution_layer_8h_source.xhtml">arm_compute/runtime/NEON/functions/NEConvolutionLayer.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_n_e_depth_convert_8h_source.xhtml">arm_compute/runtime/NEON/functions/NEDepthConvert.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_n_e_derivative_8h_source.xhtml">arm_compute/runtime/NEON/functions/NEDerivative.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_n_e_dilate_8h_source.xhtml">arm_compute/runtime/NEON/functions/NEDilate.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_n_e_equalize_histogram_8h_source.xhtml">arm_compute/runtime/NEON/functions/NEEqualizeHistogram.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_n_e_erode_8h_source.xhtml">arm_compute/runtime/NEON/functions/NEErode.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_n_e_fast_corners_8h_source.xhtml">arm_compute/runtime/NEON/functions/NEFastCorners.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_n_e_fill_border_8h_source.xhtml">arm_compute/runtime/NEON/functions/NEFillBorder.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_n_e_fully_connected_layer_8h_source.xhtml">arm_compute/runtime/NEON/functions/NEFullyConnectedLayer.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_n_e_g_e_m_m_8h_source.xhtml">arm_compute/runtime/NEON/functions/NEGEMM.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_n_e_g_e_m_m_interleave4x4_8h_source.xhtml">arm_compute/runtime/NEON/functions/NEGEMMInterleave4x4.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_n_e_g_e_m_m_lowp_8h_source.xhtml">arm_compute/runtime/NEON/functions/NEGEMMLowp.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_n_e_g_e_m_m_transpose1x_w_8h_source.xhtml">arm_compute/runtime/NEON/functions/NEGEMMTranspose1xW.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_n_e_gaussian3x3_8h_source.xhtml">arm_compute/runtime/NEON/functions/NEGaussian3x3.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_n_e_gaussian5x5_8h_source.xhtml">arm_compute/runtime/NEON/functions/NEGaussian5x5.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_n_e_gaussian_pyramid_8h_source.xhtml">arm_compute/runtime/NEON/functions/NEGaussianPyramid.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_n_e_h_o_g_descriptor_8h_source.xhtml">arm_compute/runtime/NEON/functions/NEHOGDescriptor.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_n_e_h_o_g_detector_8h_source.xhtml">arm_compute/runtime/NEON/functions/NEHOGDetector.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_n_e_h_o_g_gradient_8h_source.xhtml">arm_compute/runtime/NEON/functions/NEHOGGradient.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_n_e_h_o_g_multi_detection_8h_source.xhtml">arm_compute/runtime/NEON/functions/NEHOGMultiDetection.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_n_e_harris_corners_8h_source.xhtml">arm_compute/runtime/NEON/functions/NEHarrisCorners.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_n_e_histogram_8h_source.xhtml">arm_compute/runtime/NEON/functions/NEHistogram.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_n_e_integral_image_8h_source.xhtml">arm_compute/runtime/NEON/functions/NEIntegralImage.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_n_e_laplacian_pyramid_8h_source.xhtml">arm_compute/runtime/NEON/functions/NELaplacianPyramid.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_n_e_laplacian_reconstruct_8h_source.xhtml">arm_compute/runtime/NEON/functions/NELaplacianReconstruct.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_n_e_magnitude_8h_source.xhtml">arm_compute/runtime/NEON/functions/NEMagnitude.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_n_e_mean_std_dev_8h_source.xhtml">arm_compute/runtime/NEON/functions/NEMeanStdDev.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_n_e_median3x3_8h_source.xhtml">arm_compute/runtime/NEON/functions/NEMedian3x3.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_n_e_min_max_location_8h_source.xhtml">arm_compute/runtime/NEON/functions/NEMinMaxLocation.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_n_e_non_linear_filter_8h_source.xhtml">arm_compute/runtime/NEON/functions/NENonLinearFilter.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_n_e_non_maxima_suppression3x3_8h_source.xhtml">arm_compute/runtime/NEON/functions/NENonMaximaSuppression3x3.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_n_e_normalization_layer_8h_source.xhtml">arm_compute/runtime/NEON/functions/NENormalizationLayer.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_n_e_optical_flow_8h_source.xhtml">arm_compute/runtime/NEON/functions/NEOpticalFlow.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_n_e_phase_8h_source.xhtml">arm_compute/runtime/NEON/functions/NEPhase.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_n_e_pixel_wise_multiplication_8h_source.xhtml">arm_compute/runtime/NEON/functions/NEPixelWiseMultiplication.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_n_e_pooling_layer_8h_source.xhtml">arm_compute/runtime/NEON/functions/NEPoolingLayer.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_n_e_remap_8h_source.xhtml">arm_compute/runtime/NEON/functions/NERemap.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_n_e_scale_8h_source.xhtml">arm_compute/runtime/NEON/functions/NEScale.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_n_e_scharr3x3_8h_source.xhtml">arm_compute/runtime/NEON/functions/NEScharr3x3.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_n_e_sobel3x3_8h_source.xhtml">arm_compute/runtime/NEON/functions/NESobel3x3.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_n_e_sobel5x5_8h_source.xhtml">arm_compute/runtime/NEON/functions/NESobel5x5.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_n_e_sobel7x7_8h_source.xhtml">arm_compute/runtime/NEON/functions/NESobel7x7.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_n_e_softmax_layer_8h_source.xhtml">arm_compute/runtime/NEON/functions/NESoftmaxLayer.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_n_e_table_lookup_8h_source.xhtml">arm_compute/runtime/NEON/functions/NETableLookup.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_n_e_threshold_8h_source.xhtml">arm_compute/runtime/NEON/functions/NEThreshold.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_n_e_transpose_8h_source.xhtml">arm_compute/runtime/NEON/functions/NETranspose.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_n_e_warp_affine_8h_source.xhtml">arm_compute/runtime/NEON/functions/NEWarpAffine.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_n_e_warp_perspective_8h_source.xhtml">arm_compute/runtime/NEON/functions/NEWarpPerspective.h</a>&quot;</code><br />
</div>
<p><a href="_n_e_functions_8h_source.xhtml">Go to the source code of this file.</a></p>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_214608ef36d61442cb2b0c1c4e9a7def.xhtml">arm_compute</a></li><li class="navelem"><a class="el" href="dir_8bc26130589aa16388b5a02f17abf2c2.xhtml">runtime</a></li><li class="navelem"><a class="el" href="dir_65e289039e1347f87d412b0a1b1a312c.xhtml">NEON</a></li><li class="navelem"><a class="el" href="_n_e_functions_8h.xhtml">NEFunctions.h</a></li>
    <li class="footer">Generated on Wed Apr 12 2017 17:30:09 for ARM Compute Library by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
